const system = require("../../../system");
var settings = require("../../../../config/settings");
const AppServiceBase = require("../../app.base");

class FblicenseService extends AppServiceBase {
    constructor() {
        super();
        this.centerOrderUrl = settings.centerOrderUrl()
        this.restClient = system.getObject("util.restClient")
    };

    //获取列表、检索
    async getList(pobj) {
        try {
            let url = `${this.centerOrderUrl}action/diagnosisneedbus/springBoard`
            pobj.actionType = 'getList'
            let result = await this.restClient.execPost(pobj, url)
            return JSON.parse(result.stdout)
        } catch (error) {
            return system.getResultFail(-1, error.message || 'failed')
        }
    }

    // 获取详情
    async getDetail(pobj) {
        try {
            let url = `${this.centerOrderUrl}action/diagnosisneedbus/springBoard`
            pobj.actionType = 'getDetail'
            let result = await this.restClient.execPost(pobj, url)
            let data = JSON.parse(result.stdout)
            if (data.status != 0)
                return system.getResultFail(-1, error.message || 'failed')
            return data;
        } catch (error) {
            return system.getResultFail(-1, error.message || 'failed')
        }
    }

    // 认证
    async doEAV(pobj) {
        try {
            let url = `${this.centerOrderUrl}action/diagnosisneedbus/springBoard`
            pobj.actionType = 'doEAV'
            let result = await this.restClient.execPost(pobj, url)
            return JSON.parse(result.stdout)
        } catch (error) {
            return system.getResultFail(-1, error.message || 'failed')
        }
    }

    // 获取需求列表
    async getNeedList(pobj) {
        try {
            let url = `${this.centerOrderUrl}action/diagnosisneedbus/springBoard`
            pobj.actionType = 'getNeedList'
            let result = await this.restClient.execPost(pobj, url)
            return JSON.parse(result.stdout)
        } catch (error) {
            return system.getResultFail(-1, error.message || 'failed')
        }
    }
    // 获取需求详情
    async getNeedDetail(pobj) {
        try {
            let url = `${this.centerOrderUrl}action/diagnosisneedbus/springBoard`
            pobj.actionType = 'getNeedDetail'
            let result = await this.restClient.execPost(pobj, url)
            return JSON.parse(result.stdout)
        } catch (error) {
            return system.getResultFail(-1, error.message || 'failed')
        }
    }
}

module.exports = FblicenseService;
