<a name="menu" href="/doc">返回主目录</a>

1. [四要素诊断](#uploadBusiness)
2. [人工评估-开始入职评估](#manualEvaluation)
3. [个人中心-诊断列表](#diagnosisInfo)
4. [个人中心-企业信息](#enterpriseInfo)
5. [下需求单](#enterpriseInfo)
6. [需求列表](#getNeedListUser)
7. [需求详情](#getNeedDetail)

## **<a name="uploadBusiness"> 四要素诊断</a>**

[返回到目录](#menu)

##### URL

[/web/zzzd/zzzd/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：uploadBusiness

```javascript
    {
        picUrl: "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2picb2bc98b9fc564ef2a1f4b3cbe9352f39.jpg", //营业执照地址
        identityCardNo: "1102241996xxxxxxxxxxx", //身份证号
    }
```

#### 返回结果

```javascript
    不通过
    {
        "status": -1,
        "msg": "审核不通过，原因:营业执照分析失败",
        "data": null,
        "bizmsg": "empty",
        "requestId": "7ac5b432225d43c58e78dcc630518fdd"
    }
    通过
    {
        "status": 0,
        "msg": "success",
        "data": null,
        "requestId": "837ea5c284074d568fa198f7f259088a"
    }
```

## **<a name="manualEvaluation"> 人工评估-开始入驻评估</a>**

[返回到目录](#menu)

##### URL

[/web/zzzd/zzzd/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：manualEvaluation

```javascript
    {
        "enterprise": "企业名称",
        "mobile": "联系电话",
        "corporateType": "店铺类型 电商诊断：qi旗舰店qjd/专卖店zmd/直营店zyd，直播诊断：企业qy/个体工商户gtgsh/民办非企业mbfqy/法律服务flfw",
        "diagnosisType": "诊断类型 直播/电商 zb/ds",
        "mainClass": ["一级-二级","一级-二级"]"主营类目",
        基础资质 如果非必填的资质未上传，则picUrl给""即可
        "qualificationsPic":[{
            "picName": "营业执照",
            "isChoice": true/false,
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        },{
            "picName": "所有所需资质名称",
            "isChoice": true/false,
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        }],
        品牌资质
        "brandPic":[{
            "picName": "营业执照",
            "isChoice": true/false,
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        },{
            "picName": "所有所需资质名称",
            "isChoice": true/false,
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        }],
        行业资质
        "industryPic":[{
            "picName": "营业执照",
            "isChoice": true/false,
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        },{
            "picName": "所有所需资质名称",
            "isChoice": true/false,
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        }]
    }
```

#### 返回结果

```javascript
    {
        "status": -5005,
        "msg": "诊断类型不能为空",
        "data": null,
        "requestId": "4a19931c4f9e4d2c8c0a203407de46f5"
    }
    {
        "status": 0,
        "msg": "success",
        "data": null,
        "requestId": "837ea5c284074d568fa198f7f259088a"
    }
```

## **<a name="diagnosisInfo"> 个人中心-诊断列表</a>**

[返回到目录](#menu)

##### URL

[/web/zzzd/zzzd/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：diagnosisInfo

```javascript
    {
        条件
        "diagnosisNo": "申请编号",
        "diagnosisTypeName": "诊断类型 直播/电商",
        "publishName": "联系人",
        "publishMobile": "联系电话",
        "stdate": "2020-08-12 00:00:00",
        "endate": "2020-08-12 23:59:59",
        注意这里 在下拉框无法区分商铺类型是电商还是直播。所以下拉框内容写全即可。
        "corporateTypeName": "店铺类型 给中文即可 电商诊断：旗舰店/专卖店/专营店，直播诊断：企业/个体工商户/民办非企业/法律服务",
        "page":1,//页数
        "pageSize":10,//每页条数
    }
```

#### 返回结果

```javascript
    // 等待填写
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 11,
            "rows": [
                {
                    "diagnosis_no": "N202008121159HM3GJ89",// 申请编号
                    "corporate_name": "1",// 公司名称
                    "publish_mobile": "14444444444",// 联系电话
                    "diagnosis_type_name": "直播",// 诊断类型
                    "diagnosis_mode_name": "智能评估 ",// 诊断方式
                    "diagnosis_result_name": "未通过 诊断结果",// 诊断结果
                    "updated_at": "2020-08-12T03:59:35.000Z "// 更新时间
                },
                    {
                    "diagnosis_no": "N202008121159HM3GJ89",
                    "corporate_name": "1",
                    "publish_mobile": "14444444444",
                    "diagnosis_type_name": "直播",
                    "diagnosis_mode_name": "智能评估",
                    "diagnosis_result_name": "未通过",
                    "updated_at": "2020-08-12T03:59:35.000Z"
                },
            ]
        },
        "requestId": "6934d3c04d744bfa900c9c929b08dd7b"
    }
```

## **<a name="diagnosisDetail"> 个人中心-诊断单详情</a>**

[返回到目录](#menu)

##### URL

[/web/zzzd/zzzd/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：diagnosisDetail

```javascript
    {
        条件
        "diagnosisNo": "N2020081309473jfNmSn "
    }
```

#### 返回结果

```javascript
    // 等待填写
    {
    "status": 0,
    "msg": "success",
    "data": {
        "diagnosis_no": "N2020081309473jfNmSn",
        "diagnosis_result": "诊断结果 tg/wtg/rgshz"// 于diagnosis_result_name是对应的 你想用哪个用哪个
        "diagnosis_result_name": "未通过",// 智能诊断结果 ispass
        "diagnosis_result_data": { // 智能诊断结果 快照 注意这里 人工诊断目前没有推荐商品
            "msg": "success",
            "data": {
                "isPass": false,
                "recommend": [
                    {
                        "id": 2081,
                        "name": "公司注册",
                        "price": "面议",
                        "describe": "公司注册是开始创业的第一步。一般来说，公司注册的流程包括：企业核名→提交材料→领取执照→刻章，就可以完成公司注册，进行开业了。但是，公司想要正式开始经营，还需要办理以下事项：银行开户→税务报到→申请税控和发票→社保开户。"
                    },
                    {
                        "id": 2145,
                        "name": "年报解异常",
                        "price": "面议",
                        "describe": "1、年检异常\n（1）持税务年报去工商局让相关受理员解锁红盾系统，解锁后登陆红盾系统以税务年报补上工商年报；\n（2）打印报表递交工商局移除异常；\n（3）需要注意的是，有些城区可能会涉及上门看点地址是否还在经营，如不在原址经营建议做地址变更。\n2、地址异常\n（1）工商局会通知所管辖的工商所看点人员上门看点实际经营地址真实性并出地址情况说明；\n（2）持情况说明到工商局递交移除异常。\n（3）工商局收到申请表和材料后，大概5个工作日的时间做出回复，继而解除工商异常。"
                    },
                    {
                        "id": 2028,
                        "name": "经营范围变更",
                        "price": "面议",
                        "describe": "公司经营的时间越长，发展的规模不断扩大，公司的经营范围肯定也会有所改变，增加或者是减少公司经营范围这个是每个公司都会遇到的问题，当需要变更经营范围的时候，知道变更公司经营范围需要什么资料以及如何变更就很有必要。"
                    },
                    {
                        "id": 3023,
                        "name": "一般纳税人认定",
                        "price": "面议",
                        "describe": "一般纳税人是指年应征增值税销售额（以下简称年应税销售额，是指纳税人在连续不超过12个月或四个季度的经营期内累计应征增值税销售额，包括纳税申报销售额、稽查查补销售额、纳税评估调整销售额）超过财政部、国家税务总局规定的小规模纳税人标准的企业和企业性单位。一般纳税人的特点是增值税进项税额可以抵扣销项税额。"
                    },
                    {
                        "id": 2024,
                        "name": "工商变更",
                        "price": "面议",
                        "describe": "公司在经营发展过程中，因业务发展的变化，公司将变更法人、股权、地址和经营范围，因此需要通过工商部门变更信息，更新工商许可信息。"
                    },
                    {
                        "id": 2181,
                        "name": "资产评估",
                        "price": "面议",
                        "describe": "资产评估是指由专门机构和人员，依据国家规定和有关资料，根据特定的目的，遵循适用的原则和标准，按照法定的程序，运用科学的方法，对资产进行评定和估价的过程。是指评估机构及其评估专业人员根据委托对不动产、动产、无形资产、企业价值、资产损失或者其他经济权益进行评定、估算，并出具评估报告的专业服务行为。"
                    },
                    {
                        "id": 1033,
                        "name": "商标注册",
                        "price": "800-1500元/一标一类",
                        "describe": "是商标使用人取得商标专用权的前提和条件，只有经核准注册的商标，才受法律保护。商标注册原则是确定商标专用权的基本准则，不同的注册原则的选择，是各国立法者在这一个问题中对法律的确定性和法律的公正性二者关系进行权衡的结果。"
                    }
                ]
            },
            "status": 0
        }
    },
    "requestId": "665be1d2e32b4c01b8390ce4e8e7b1ad"
}
```

## **<a name="enterpriseInfo"> 个人中心-企业信息</a>**

[返回到目录](#menu)

##### URL

[/web/zzzd/zzzd/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：enterpriseInfo

```javascript
{
}
```

#### 返回结果

```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "diagnosis_no": "N2020081211076qlz86H",
            "corporate_name": "林氏集团",// 公司名称
            "publish_name": null,// 联系人
            "publish_mobile": "13911391996",// 联系电话
            "auth_result_name": "已认证/未认证 直接用即可"
            "qualifications_pic": null,// 基础json
            "brand_pic": null,// 品牌json
            "industry_pic": null,// 行业json
        },
        "requestId": "2208af94126f4c168659947dc8bd4feb"
    }
```
-----------------------以下暂时未用
## **<a name="enterpriseInfo"> 下需求单</a>**
[返回到目录](#menu)
##### URL
[/web/zzzd/zzzd/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：enterpriseInfo
``` javascript
    {}
```

#### 返回结果
``` javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "diagnosis_no": "N2020081211076qlz86H",
            "corporate_name": "林氏集团",// 公司名称
            "publish_name": null,// 联系人
            "publish_mobile": "13911391996",// 联系电话
            "auth_result_name": "已认证/未认证 直接用即可"
            "qualifications_pic": null,// 基础json
            "brand_pic": null,// 品牌json
            "industry_pic": null,// 行业json
        },
        "requestId": "2208af94126f4c168659947dc8bd4feb"
    }
```

## **<a name="getNeedListUser"> 需求列表</a>**

[返回到目录](#menu)

##### URL

[/web/zzzd/zzzd/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：getNeedListUser

```javascript
    {
        "status": "状态", // 目前枚举和原型不同 不建议筛选
        "needNo": "", // 需求单号
        "publishName": "", // 联系人姓名
        "publishMobile": "", // 联系人电话
        "stdate":"2020-02-16T04:14:24.000Z",//开始时间
        "endate":"2020-02-21T14:14:24.000Z"//结束时间
        "pageNumber": 1, // 页数
        "pageSize": 10 // 每页条数
    }
```

#### 返回结果

```javascript
    // 等待填写
    {
  "status": 0,
  "msg": "success",
  "data": {
    "count": 13,
    "rows": [
      {
        "id": 2844,
        "uapp_id": 22,
        "channelNeedNo": "N202008111821nf9oKFf",  // 渠道需求号
        "needNo": "N202008111821nf9oKFf", // 需求号
        "channelUserId": "13911391996", // 渠道用户id
        "publishName": "", // 公司名称
        "publisherOnlyCode": null,
        "publishContent": "公司注册 - ",
        "publishMobile": "13911391996", // 联系人电话
        "followManUserId": null,
        "followManName": null,
        "followManMobile": null,
        "followManOnlyCode": null,
        "followContent": null,
        "productOneType_id": null,
        "productType_id": null,
        "notes": null,
        "disposeNotes": null,
        "statusName": "未推送", // 需求状态
        "status": "wts",
        "city": "北京市-北京市-大兴区",
        "province": null,
        "typeCode": "gszc", // 需求类型
        "typeName": "公司注册", // 需求类型名称
        "channelTypeCode": "gszc",
        "channelTypeName": "公司注册",
        "created_at": "2020-08-11T10:21:38.000Z",
        "updated_at": "2020-08-11T10:21:38.000Z",
        "deleted_at": null,
        "version": 0
      },
    ]
  },
  "requestId": "b2146c22a68b4bd48dc2119b46e636d4"
}
```

## **<a name="getNeedDetail"> 需求详情</a>**

[返回到目录](#menu)

##### URL

[/web/zzzd/zzzd/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：getNeedDetail

```javascript
    {
        "needNo": "", // 需求单号
    }
```

#### 返回结果

```javascript
{
  "status": 0,
  "msg": "success",
  "data": {
    "id": 2844,
        "uapp_id": 22,
        "channelNeedNo": "N202008111821nf9oKFf",  // 渠道需求号
        "needNo": "N202008111821nf9oKFf", // 需求号
        "channelUserId": "13911391996", // 渠道用户id
        "publishName": "", // 公司名称
        "publisherOnlyCode": null,
        "publishContent": "公司注册 - ",
        "publishMobile": "13911391996", // 联系人电话
        "followManUserId": null,
        "followManName": null,
        "followManMobile": null,
        "followManOnlyCode": null,
        "followContent": null,
        "productOneType_id": null,
        "productType_id": null,
        "notes": null,
        "disposeNotes": null,
        "statusName": "未推送", // 需求状态
        "status": "wts",
        "city": "北京市-北京市-大兴区",
        "province": null,
        "typeCode": "gszc", // 需求类型
        "typeName": "公司注册", // 需求类型名称
        "channelTypeCode": "gszc",
        "channelTypeName": "公司注册",
        "created_at": "2020-08-11T10:21:38.000Z",
        "updated_at": "2020-08-11T10:21:38.000Z",
        "deleted_at": null,
        "version": 0
  },
  "requestId": "9032ccf593894627849eb401ebf4f51b"
}
```
